/* box model */
*,
*::before,
*::after {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

/* focus */
*:focus {
  outline: 0;
}

body.styleguide-body {
  background: #272727;
  padding: 0px 40px 40px 320px;
}

/* menu */
#styleguide-menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 280px;
  height: 100%;
  background: #303030;
  color: #FFFFFF;
  font-family: sans-serif;
  overflow-y: auto;
}

#styleguide-menu ul.menu {
  margin: 0;
  padding: 0;
}

#styleguide-menu ul.menu li {
  margin: 0;
  padding: 0;
}

#styleguide-menu > ul.menu > li {
  border-bottom: 1px solid #454545;
}

#styleguide-menu ul.menu li a {
  display: block;
  padding: 10px 15px;
  color: #FFFFFF;
  text-decoration: none;
}

#styleguide-menu ul.menu > li > a.active {
  background: #1379a7;
}

/* 2 */
#styleguide-menu ul.menu ul {
  margin: 0;
  padding: 0;
}

#styleguide-menu ul.menu ul li {
  margin: 0;
  padding: 0;
}

#styleguide-menu ul.menu ul li:first-child {
  margin-top: 10px;
}

#styleguide-menu ul.menu ul li:last-child {
  margin-bottom: 10px;
}

#styleguide-menu ul.menu ul li a {
  display: block;
  padding: 3px 15px 3px 30px;
  color: #FFFFFF;
  text-decoration: none;
}

#styleguide-menu ul.menu ul li a.active {
  color: #1379a7;
}

/* title */
h2.styleguide-title {
  margin: 0;
  padding: 30px 0 30px 0;
  font-size: 25px;
  font-weight: bold;
  color: #FFFFFF;
  text-transform: uppercase;
}

h3.styleguide-title {
  margin: 0 0 30px 0;
  padding: 0;
  font-size: 18px;
  font-weight: bold;
  color: #1379a7;
}

/* sg-content */
.sg-content {
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
}

.sg-content-horizontal {
  display: block;
}

/* ui tabs */
ul.ui-tabs-nav {
  margin: 0;
  padding: 0;
  list-style: none;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
}

ul.ui-tabs-nav li {
  line-height: 1;
  margin: 0;
  padding: 0;
  list-style: none;
}

ul.ui-tabs-nav li a {
  padding: 10px 15px;
  -webkit-border-top-left-radius: 3px;
  -moz-border-radius-topleft: 3px;
  border-top-left-radius: 3px;
  -webkit-border-top-right-radius: 3px;
  -moz-border-radius-topright: 3px;
  border-top-right-radius: 3px;
  text-decoration: none;
  color: #000000;
}

ul.ui-tabs-nav li.ui-state-active a {
  background: #f5f2f0;
}

/* styleguide */
.styleguide {
  margin-bottom: 10px;
}

.styleguide-item-preview {
  padding: 40px;
  background: #FFFFFF;
  width: 50%;
}

.styleguide-item-text {
  padding: 40px 30px 30px 30px;
  background: #C0C0C0;
  width: 50%;
}

.sg-content-horizontal .styleguide-item-preview {
  width: auto;
}

.sg-content-horizontal .styleguide-item-text {
  width: auto;
}

/* BASE */
/* color */
.styleguide-color-box {
  width: 200px;
  display: inline-block;
  border: 2px solid #FFFFFF;
  margin: 0 20px 20px 0;
}

.styleguide-color-box .color {
  height: 120px;
  padding: 10px;
  color: #FFFFFF;
}

.styleguide-color-box .info {
  padding: 10px 10px;
  line-height: 1.5;
}
